function [Corr3]=CORRCROIS(u,v,DecalNegMax,DecalPosMax)
//******************************************************************
// Fonction permettant d'estimer le dcalage temporel entre 2 sries
// correspondant  la corrlation croise maximale
//******************************************************************
// Paramtres :
//  u : Signal 1
//  v : Signal 2
//  DecalNegMax : Valeur maximale du dcalage ngatif (avance de u sur v) entre u et v
//  DecalPosMax : Valeur maximale du dcalage positif (retard de u sur v) entre u et v

//------ Validation of input variables -------
    if size(u,2)<>1&size(v,2)<>1      then, error('u or v are not column vector'); end;
    if size(u,1)<>size(v,1)           then, error('u and v do not have the same size'); end;
    if DecalNegMax<=0 | DecalPosMax<=0  then, error('DecalNegMax and DecalPosMax should be positive integers'); end;
    DecalNegMax=int(DecalNegMax);
    DecalPosMax=int(DecalPosMax);
    
// ---- Core function -------------------------

    Corr1=corr(u,v,DecalNegMax); // Calcul les corrlation croise avec avance croissante de u sur v
    Corr2=corr(v,u,DecalPosMax); // Calcul les corrlation croise avec retard croissant de u sur v

    Corr3=[];
    Corr3(:,1)=[-DecalNegMax+1:-1,0:DecalPosMax-1]';
    Corr3(:,2)=[Corr1($:-1:2),Corr2]'./(st_deviation(u)*st_deviation(v));

endfunction
