function TITRE=ENTETE(TITRECOL,NBCAR)
//******************************************************************
//  Function to generate a header of a numerical matrix to be printed
//  with fprintfMat
//
//  Input arguments of the function :
//        TITRECOL    Vector of string containing each column title
//        NBCAR       Number of caracters allowed for each column
//
//  Output arguments of the function :
//        TITRE       String containing the header

//------ Validation of input variables -------
    if size(TITRECOL,1)<>1 then, error('TITRECOL should be a line vector'); end;
    if size(NBCAR,1)<>1 & size(NBCAR,2)<>1 then, error('NBCAR should be a single value'); end;


//------ CORE FUNCTION CODE -------
    TITRE='';

    for k=1:size(TITRECOL,2)
        if length(TITRECOL(k))>NBCAR then
            TITRECOL(k)=part(TITRECOL(k),1:NBCAR);
            warning('Title of the col. '+string(k)+' truncated');
        end
        TITRE = TITRE + msprintf('%'+string(NBCAR) + 's',TITRECOL(k)) + ' ';
    end
    
endfunction

