#include <math.h>

/***********************************************
* Correction of negative values 
*	Q    = Input data
*	TYPE = Correction type
*
************************************************/

void c_CORRIGE(long int nval,double Qdata[], double TYPE[], double Qcalc[])
{
	int i,j,DEB,FIN;
	DEB=0;
	FIN=1;

	if(TYPE[0]==1){

		// Initialisation
		if(Qdata[0]>=0){Qcalc[0]=Qdata[0];}
		else{Qcalc[0]=0;}

		// Negative values in Qdata are replaced by the last positive value
		for(i=1;i < nval; i++){
			if(Qdata[i]>=0){Qcalc[i]=Qdata[i];}
			else{Qcalc[i]=Qcalc[i-1];}

		}
	}

	if(TYPE[0]==2){

		// Initialisation
		if(Qdata[0]>=0){Qdata[0]=Qdata[0];}
		else{Qdata[0]=0;}

		// Negative values are interpolated linearly
		for(i=1;i < nval; i++){
			if(Qdata[i]>=0){
				// Interpolation
				if(Qdata[i-1]<0){
					FIN=i;
					for(j=DEB+1;j<=FIN;j++){
						Qcalc[j]=(Qdata[FIN]-Qdata[DEB])/(FIN-DEB)*(j-DEB)+Qdata[DEB];
					}
				}
				// Incrementation
				Qcalc[i]=Qdata[i];
				DEB=i;
				FIN=DEB;
			}
			else{
				FIN++;				
			}

		}
	}
}

